<template>
  <div>
    <v-card
        v-for="tvShow in tvShows"
        :key="tvShow.show.id"
        max-width="350"
        class="mx-auto"
        style="margin-top: 10px"
        elevation="5"
    >
      <v-list-item>
        <v-list-item-content>
          <v-list-item-title>
            <v-icon>mdi-youtube-tv</v-icon>
            {{ tvShow.show.name }}
          </v-list-item-title>
        </v-list-item-content>
      </v-list-item>

      <v-card-actions>
        <v-btn
            text
            color="deep-purple accent-4"
        >
          score: {{ tvShow.show.rating.average }}
        </v-btn>
        <v-btn
            icon
            color="green lighten-1"
            @click="redirectToWebsite(tvShow.show.officialSite)"
        >
          <v-icon>mdi-open-in-new</v-icon>
        </v-btn>

      </v-card-actions>
    </v-card>
  </div>
</template>

<script>
import {mapState} from 'vuex';

export default {
  name: 'TvShows',
  computed: {
    ...mapState(['tvShows']),
  },
  methods: {
    redirectToWebsite(url) {
      window.location.href = url;
    },
  },
};
</script>

<style scoped lang="scss" type="text/scss">

</style>
